
Smart Proxy - Bug #28120

Silent failure to start if can't access /var/run/foreman-proxy directory in daemon mode

10/24/2019 09:29 AM - ina vasilevskaya

Status: Rejected   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

---

:bind_host: ['*']

:http_port: 8000

:daemon: true

:log_file: /var/log/foreman-proxy/proxy.log

:log_level: DEBUG

:daemon_pid: /var/run/foreman-proxy/foreman-proxy.pid

 With the following smart-proxy config, regardless of DEBUG level, the logs will contain plain "[E] Error during startup, terminating"

without any details what's wrong.

History

#1 - 03/04/2020 12:15 PM - Ewoud Kohl van Wijngaarden

Which operating system are you on? It may be that /var/run is on a tmpfs and the directory isn't created but on systemd based platforms we should

run the proxy in the foreground and the pid shouldn't be used.

#2 - 08/02/2021 04:31 PM - Ewoud Kohl van Wijngaarden

- Status changed from New to Need more information

#3 - 01/10/2022 02:01 PM - Ewoud Kohl van Wijngaarden

- Status changed from Need more information to Rejected
